Bug 9256 - replacedefaultroute option
: replacedefaultroute option
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 12100 13811 14167
  Show dependency tree
 
Reported: 2006-03-16 22:59 by
Modified: 2008-03-24 12:46 (History)


Attachments
ppp-2.4.2-cifdefroute.diff (10.23 KB, patch)
2007-06-25 19:00, Sergey V Turchin
no flags Details | Diff
fixed patch from ppp_2.4.4rel-9 (11.41 KB, patch)
2007-12-08 18:59, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-16 22:59:06
Я уже не в одной программе наблюдаю использование опции pppd 
replacedefaultroute. IMHO проще в одном месте пропатчить. В SuSE точно есть.
------- Comment #1 From 2007-03-08 23:27:30 -------
reassign

попробую
------- Comment #2 From 2007-03-09 16:08:43 -------
Это из-за того, что в новом ppp появилась эта опция. Я раньше не знал.
Теперь патч нужен скорее для того, чтоб нашу опцию cleardefaultroute заменять 
на стандартную replacedefaultroute.
------- Comment #3 From 2007-03-25 22:46:45 -------
В 2.4.4 это сделано корректно?
------- Comment #4 From 2007-06-25 10:55:08 -------
reassign по факту
------- Comment #5 From 2007-06-25 18:59:03 -------
(In reply to comment #2)
> на стандартную replacedefaultroute.
Это не стандартная, оказывается, а из SuSE
------- Comment #6 From 2007-06-25 19:00:17 -------
Created an attachment (id=2046) [details]
ppp-2.4.2-cifdefroute.diff

Взято из SuSE ppp-2.4.4-51
------- Comment #7 From 2007-06-25 19:01:26 -------
Кстати, у них роутинг восстанавливается обратно, судя по патчу
------- Comment #8 From 2007-09-25 18:45:50 -------
только, если это зависимость на 12100, именно опцию replacedefaultroute уже 
лучше не делать, а то вылезет где попало
------- Comment #9 From 2007-09-25 19:16:22 -------
Так в приложенном тобой сузешном патчике именно она (и no*) и фигурирует?

PS: reassign
------- Comment #10 From 2007-09-25 19:42:26 -------
(In reply to comment #9)
Да, в SuSE replacedefaultroute и noreplacedefaultroute
------- Comment #11 From 2007-09-27 00:09:30 -------
Хотя, наверное можно просто переименовать в нужные слова и приложить.
Предварительно проконсультировавшись с автором creardefaultroute и проверив 
SuSE на более свежую версию
------- Comment #12 From 2007-12-08 15:19:40 -------
Проверил, в ppp-2.4.4-79 то же самое (судя по diff).  Вот %changelog за год:

* Thu Aug 23 2007 - hvogel/suse.de
- Work around pppoatm MTU problems. [#301678]
* Thu Jul 26 2007 - prusnak/suse.cz
- changed libpcap to libpcap-devel in BuildRequires
* Tue Dec 19 2006 - meissner/suse.de
- fixed strncat usage in radius plugin.
* Wed Sep 13 2006 - hvogel/suse.de
- Argh, really re-enable the patch.
* Thu Sep 07 2006 - hvogel/suse.de
- fix and reenable "replace default route" patch
------- Comment #13 From 2007-12-08 17:09:50 -------
Заменил в 2.4.4-alt8.3 патч про cleardefaultroute на приложенный тобой
(поскольку он и не менялся) -- результат в пакетах здесь:
http://paq.osdn.org.ua/~mike/ppp/replacedefaultroute.patch/

* Sat Dec 08 2007 Michael Shigorin <mike@altlinux> 2.4.4-alt8.3
- replaced patch9 (cleardefaultroute option implementation)
  with patch0 ([no]replacedefaultroute from SuSE) (#9256)
- fixed ppp-2.4.2-alt-opts.patch for this change

В гит пока мусорить не буду, вдруг оно неживое :)

cdmaua на стенде лежит, gsm только через irda (и через что к нему при
отсутствующем /dev/ircomm0 цепляться -- пока не сообразил).

К учебному pptpd попробовал прицепиться -- замечено такое: default route
_дублируется_ (бишь маршрут через eth0 не удаляется, рядом появляется ещё
один),
зато при опускании линка остаёмся вообще без маршрута по умолчанию.

С 2.4.4-alt8.2 (aka alt8) маршрут по умолчанию _заменяется_, но опять же при
опускании сидим без defroute.

Для людей я такое решал, передёргивая в ip-down интерфейс, через который до
поднятия PPP идёт маршрут по умолчанию, но это явный костыль.

Что делать будем?
------- Comment #14 From 2007-12-08 17:14:08 -------
http://git.altlinux.org/people/mike/packages/?p=ppp-defroute.git (does NOT work
for me as expected)
------- Comment #15 From 2007-12-08 18:59:02 -------
Created an attachment (id=2322) [details]
fixed patch from ppp_2.4.4rel-9

Урра!!!

openSUSE суксь, Debian рулез :)

Помимо вагона переформатирования пробелов и подобной ерунды, они таки добавили
несколько строчек в по существу тот же патч -- итог работает.

2 mithraen: добавь меня в ACL или сейчас сделаю начисто это всё и забирай
alt9.x
------- Comment #16 From 2007-12-08 20:06:20 -------
Итак, результат доступен как 2.4.4-alt9.8 тут:

http://git.altlinux.org/people/mike/packages/?p=ppp.git
http://paq.osdn.org.ua/~mike/ppp/

ppp-defroute.git с экспериментами прям по master и подбором рабочего патча --
грохнул.